This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 489092 - internal compiler error: in referenced_var_lookup, at tree-dfa.c:563
internal compiler error: in referenced_var_lookup, at tree-dfa.c:563
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-07 07:14 EST by Sami Farin
Modified: 2009-03-09 11:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 11:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source (556.85 KB, text/plain)
2009-03-07 07:23 EST, Sami Farin
no flags Details

  None (edit)
Description Sami Farin 2009-03-07 07:14:38 EST
Description of problem:
while compiling ffmpeg:

libavcodec/svq3.c:890: internal compiler error: in referenced_var_lookup, at tree-dfa.c:563

was already reported at
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39392

Version-Release number of selected component (if applicable):
4.4.0-0.22

How reproducible:
always

Steps to Reproduce:
1. compile latest ffmpeg
2.
3.
  
Actual results:
internal compiler error

Expected results:
no errors

Additional info:
Comment 1 Sami Farin 2009-03-07 07:23:42 EST
Created attachment 334394 [details]
Preprocessed source

libavcodec/svq3.c:890: internal compiler error: in referenced_var_lookup, at tree-dfa.c:563

works with -O0, but not with -O1.
Comment 2 Jakub Jelinek 2009-03-09 11:57:26 EDT
Should be fixed in gcc-4.4.0-0.23.

Note You need to log in before you can comment on or make changes to this bug.